Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.ExternalRunnable

    java.lang.Object
      rice.Continuation.ExternalContinuationRunnable
          rice.Continuation.ExternalRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing interface:
  Continuation

    public abstract static class Continuation.ExternalRunnable

extends Continuation.ExternalContinuationRunnable

This class is used when you want to run some task on the selector thread and wait for it to return its result. Override execute() to perform the operation and then use invoke to schedule its operation. The current thread will block until the operation returns a result or an exception.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jstewart

Constructor Summary
`Continuation.ExternalRunnable()`

Method Summary
`protected abstract java.lang.Object` | `execute()` DESCRIBE THE METHOD
`protected void` | `execute(Continuation c)` DESCRIBE THE METHOD

Methods inherited from class rice.Continuation.ExternalContinuationRunnable
`invoke, invoke, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Continuation.ExternalRunnable

    public Continuation.ExternalRunnable()

Method Detail

### execute

    protected abstract java.lang.Object execute()
                                         throws java.lang.Exception

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### execute

    protected void execute(Continuation c)
                    throws java.lang.Exception

  DESCRIBE THE METHOD

  Specified by:
    `execute` in class `Continuation.ExternalContinuationRunnable`
  Parameters:
    `c` - DESCRIBE THE PARAMETER
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.